I believe that both Parallels and Fusion require an Intel processor on your Mac. For pre-Intel processors you are going to need to find a copy of something like VirtualPC. I ran BW 6, 5 and 4 (IIRC)...